/*
 * $Id: options.h,v 1.1.1.1 2006/03/21 23:52:11 dave Exp $
 */
#ifndef __OPTIONS__
#define __OPTIONS__
#include "icmpscan.h"
#include "getopt.h"
#include "targets.h"
#include "output.h"

#define	BUFFER_MAX_LEN	1024

#define	pktNONE		0x00
#define	pktECHO		0x01
#define	pktTIMESTAMP	0x02
#define	pktNETMASK	0x04
#define	pktINFO		0x08
#define	pktROUTER	0x10

#define	SPEC_SRC_ADDR	0x01

typedef	struct __options {
	/* Interface Options */
	char		*interface;
	int		promisc;

	struct in_addr	source_ip;
	int		packets;
	int		timeout;
	int		retries;

	/* Output Options */
	int		loglevel;
	int		numeric;

	/* Internal */
	int		specified;
} OPTIONS;

extern	OPTIONS		options;
extern	char		**spec_list;
extern	int		spec_count;

char * pkt_desc(int type);
int add_target(char *spec, char **error);
void process_cmdline(int argc, char *argv[]);

#endif /* __OPTIONS__ */

