/*
 * $Id: output.c,v 1.1.1.1 2006/03/21 23:52:11 dave Exp $
 */
#include "output.h"

char    *loglevel_desc[] = {
	"Normal", "Verbose", "Debug", "Insane", NULL};

void
logmsg (int level, char *fmt, ...) {
	va_list		args;

	if (level > options.loglevel) return;

	va_start(args, fmt);
	vfprintf(stderr, fmt, args);
	va_end(args);
}

void
display_response (struct in_addr *target, uint32_t *addr, char *fmt, ...) {
	struct hostent	*host = NULL;
	char		msg[MAX_MSG_LEN];
	va_list		args;

	va_start(args, fmt);
	vsnprintf(msg, MAX_MSG_LEN, fmt, args);
	va_end(args);

	if (!options.numeric && addr)
		host = gethostbyaddr((char *)addr, 4, AF_INET);

	printf("%s: %s", inet_ntoa(*target), msg);
	if (target->s_addr == *addr)
		printf("\n");
	else
		printf(" (From %s!)\n", inet_ntoa(*(struct in_addr *)addr));
}
