/*
 * $Id: packetfu.h,v 1.1.1.1 2006/03/21 23:52:11 dave Exp $
 */
#ifndef __PACKETFU__
#define __PACKETFU__
#include "icmpscan.h"
#include "options.h"

struct	state_t {
	int		found;
	int		attempt;
	struct in_addr	target;
	int		type;
	u_int16_t	_ip_id;
	u_int16_t	_icmp_id;
	u_int16_t	_icmp_seq;
};
typedef	struct state_t	STATE;

struct __icmp_pkt {
	unsigned char	type;
	unsigned char	code;
	u_int16_t	checksum;
	u_int16_t	id;
	u_int16_t	seq;
	union {
		struct {
			u_int32_t	orig;
			u_int32_t	rec;
			u_int32_t	trans;
		} timestamp;
		u_int32_t	netmask;
	} payload;
};
typedef	struct __icmp_pkt	ICMP_PKT;
#define ts_orig		payload.timestamp.orig
#define ts_rec		payload.timestamp.rec
#define ts_trans	payload.timestamp.trans
#define netmask_mask	payload.netmask

extern	pcap_t		*pcap;
extern	char		*pcap_iface;
extern	int		datalink_len;

void network_startup(void);
char *target_iface(struct in_addr addr);
void pcap_init(char *ifname);
void send_packet(STATE *state);
int  process_packet(STATE *state, const u_char *packet, int pktlen);
void network_shutdown(void);

#endif /* __PACKETFU__ */
